'use strict';

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

/**
 * Licensed Materials - Property of IBM
 * IBM Cognos Products: BI Cloud (C) Copyright IBM Corp. 2020
 * US Government Users Restricted Rights - Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
 */
define(['original/dashboard-core/js/dashboard/layout/authoring/views/Tab', 'dashboard-core/js/app/ui/dnd/DnDHelper'], function (Tab, DnDHelper) {
	var TabWidgetAuthoring = function (_Tab) {
		_inherits(TabWidgetAuthoring, _Tab);

		function TabWidgetAuthoring() {
			_classCallCheck(this, TabWidgetAuthoring);

			return _possibleConstructorReturn(this, _Tab.apply(this, arguments));
		}

		TabWidgetAuthoring.prototype.setupGlobalDropZone = function setupGlobalDropZone() {
			var _this2 = this;

			if (this._tabStripDropZone) {
				this._tabStripDropZone.remove();
			}

			this._tabStripDropZone = this._dndManager.addDropTarget($(this.consumeView.tabWidget.tabListNode), '[role=tab]', {
				accepts: function accepts(dragObject) {
					if (dragObject.type === 'widget') {
						return true;
					}
					return false;
				},
				onDragEnter: function onDragEnter(dragObject, node) {
					var tabPanel = _this2.consumeView._getPanelFromNode(node);
					if (tabPanel) {
						var hoverColor = tabPanel.props.hoverColor;
						$(node).css('background-color', hoverColor);
					}
				},
				onDragLeave: function onDragLeave(dragObject, node) {
					var tabPanel = _this2.consumeView._getPanelFromNode(node);
					if (tabPanel) {
						var backgroundColor = tabPanel.props.backgroundColor;
						$(node).css('background-color', backgroundColor);
					}
				},
				onDrop: function onDrop(dragObject, node) {
					var tabPanel = _this2.consumeView._getPanelFromNode(node);
					if (dragObject.type === 'widget' && tabPanel) {
						var id = _this2.consumeView._getModelIdFromPanel(tabPanel.props.id);
						DnDHelper.handleWidgetDrop(_this2.consumeView.canvas, id, dragObject);
					}
				},
				info: function info(node) {
					var tabPanel = _this2.consumeView._getPanelFromNode(node);
					if (tabPanel) {
						return {
							containerId: _this2.consumeView._getModelIdFromPanel(tabPanel.props.id)
						};
					}
					return {};
				},
				type: 'dropOnTab'
			});

			if (!this._tabDropHandler) {
				this._tabDropHandler = this._dndManager.registerDropHandler({
					accepts: function accepts(dragPayload, dropPayload) {
						return dragPayload.type.match(/content\..*/) && dropPayload.type === 'dropOnTab';
					},
					onDrop: function onDrop(dragPayload, dropPayload) {
						if (dropPayload.info.containerId) {
							var content = _extends({}, dragPayload.data, {
								containerId: dropPayload.info.containerId
							});
							_this2.consumeView.canvas.addContent(content);
						}
					}
				});
			}
		};

		return TabWidgetAuthoring;
	}(Tab);

	return TabWidgetAuthoring;
});
//# sourceMappingURL=TabWidgetAuthoring.js.map