'use strict';

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

/**
 * Licensed Materials - Property of IBM
 * IBM Cognos Products: BI Cloud (C) Copyright IBM Corp. 2020
 * US Government Users Restricted Rights - Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
 */
define(['original/dashboard-core/js/canvas/Canvas', 'underscore'], function (Canvas, _) {
	var TabWidgetCanvas = function (_Canvas) {
		_inherits(TabWidgetCanvas, _Canvas);

		function TabWidgetCanvas() {
			_classCallCheck(this, TabWidgetCanvas);

			return _possibleConstructorReturn(this, _Canvas.apply(this, arguments));
		}

		TabWidgetCanvas.prototype.getSelectedContentList = function getSelectedContentList() {
			var _this2 = this;

			var selector = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : {};

			var selectContentList = [];
			if (this.boardModel) {
				var contentRegistry = this.dashboardFeatures.getFeature('ContentTypeRegistry');
				var types = selector.type ? [selector.type] : ['widget', 'group', 'tab'];
				var selectedChildLayouts = this.boardModel.layout.getSelectedChildLayouts();
				var selectedFilteredChildLayouts = selectedChildLayouts.filter(function (layout) {
					var content = _this2.getContent(layout.id);
					var result = false;
					if (contentRegistry) {
						result = contentRegistry.isTypeRegistered(layout.type);
					}
					if (!result) {
						result = types.indexOf(layout.type) !== -1 || types.indexOf(content.getType()) !== -1;
					}
					return result;
				});
				var parents = _.filter(selectedFilteredChildLayouts, function (layout) {
					return _.isArray(layout.items);
				});
				var selectedLayouts = _.filter(selectedFilteredChildLayouts, function (layout) {
					// remove layouts that are part of selected parents
					return !_.find(parents, function (parent) {
						return parent.findChildItem(parent.items, layout.id);
					});
				});
				selectContentList = _.map(selectedLayouts, function (layout) {
					return _this2.getContent(layout.id);
				});
			}
			return selectContentList;
		};

		return TabWidgetCanvas;
	}(Canvas);

	return TabWidgetCanvas;
});
//# sourceMappingURL=TabWidgetCanvas.js.map