'use strict';

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

/**
 * Licensed Materials - Property of IBM
 * IBM Cognos Products: BI Cloud (C) Copyright IBM Corp. 2020
 * US Government Users Restricted Rights - Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
 */
define(['original/dashboard-core/js/features/dashboard/actions/eventGroups/EventGroupActions'], function (EventGroupActions) {
	var TabWidgetEventGroupActions = function (_EventGroupActions) {
		_inherits(TabWidgetEventGroupActions, _EventGroupActions);

		function TabWidgetEventGroupActions() {
			_classCallCheck(this, TabWidgetEventGroupActions);

			return _possibleConstructorReturn(this, _EventGroupActions.apply(this, arguments));
		}

		/**
   * Get the page id of a widget
   * @param {String[]} idList list of widget ids
   */
		TabWidgetEventGroupActions.prototype._getPageId = function _getPageId(idList) {
			if (idList.length > 0) {
				var content = this.dashboard.getCanvas().getContent(idList[0]);
				var isOuterTabPage = false;
				var contentContainer = void 0;
				while (content && !isOuterTabPage) {
					content = content.getContainer();
					if (content && content.getType() === 'page') {
						contentContainer = content.getContainer();
						isOuterTabPage = contentContainer.getType() === 'tab' && !contentContainer.getContainer();
					}
				}

				return content && content.getId();
			}
			return false;
		};

		return TabWidgetEventGroupActions;
	}(EventGroupActions);

	return TabWidgetEventGroupActions;
});
//# sourceMappingURL=TabWidgetEventGroupActions.js.map