'use strict';

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

/*
 * +------------------------------------------------------------------------+
 * | Licensed Materials - Property of IBM
 * | IBM Cognos Products: Dashboard
 * | (C) Copyright IBM Corp. 2014, 2020
 * |
 * | US Government Users Restricted Rights - Use, duplication or disclosure
 * | restricted by GSA ADP Schedule Contract with IBM Corp.
 * +------------------------------------------------------------------------+
 */
define(['original/dashboard-analytics/widgets/livewidget/LiveWidget'], function (LiveWidget) {
	var TabWidgetLiveWidget = function (_LiveWidget) {
		_inherits(TabWidgetLiveWidget, _LiveWidget);

		function TabWidgetLiveWidget() {
			_classCallCheck(this, TabWidgetLiveWidget);

			return _possibleConstructorReturn(this, _LiveWidget.apply(this, arguments));
		}

		TabWidgetLiveWidget.prototype.onShow = function onShow(options) {
			var result = void 0;

			if (!this.isRendered || this.rerenderOnShow) {
				//If rendering non interactive (eg: thumbnails), disable features which are interactive-only - otherwise, enable them.
				var isInteractive = !(options && options.isBackgroundRun);
				this.featureLoader.setMatchingFeaturesEnabled('interactive-only', isInteractive);

				//renderOptions are for this onShow...by default, do a full render (renderOptions=null))
				//but honour renderOptions carried forward in the rerenderOnShow member.
				var renderOptions = this.isRendered && this.rerenderOnShow ? this.rerenderOnShow : null;

				if (isInteractive && this.isVisible()) {
					this.rerenderOnShow = null;
				} else {
					//add rerenderOnShow options for the next, interactive onShow
					this._addInteractiveStepsToRerenderOnShow();
				}
				result = this.render(renderOptions, isInteractive);
			} else {
				this._callVisFunction('onVisible');

				result = Promise.resolve();
			}

			if (this.updateDecorationsOnShow) {
				var decoratorAPI = this.getDecoratorAPI();
				if (decoratorAPI) {
					decoratorAPI.updateDecorations();
				}
				this.updateDecorationsOnShow = false;
			}
			return result;
		};

		TabWidgetLiveWidget.prototype.getScope = function getScope() {
			var isOuterTabPage = false;
			var contentContainer = void 0;
			var content = this.content;
			while (content && !isOuterTabPage) {
				content = content.getContainer();
				if (content && content.getType() === 'page') {
					contentContainer = content.getContainer();
					isOuterTabPage = contentContainer.getType() === 'tab' && !contentContainer.getContainer();
				}
			}

			return content && content.getId();
		};

		return TabWidgetLiveWidget;
	}(LiveWidget);

	;

	return TabWidgetLiveWidget;
});
//# sourceMappingURL=TabWidgetLiveWidget.js.map