'use strict';

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

/**
 * Licensed Materials - Property of IBM
 * IBM Cognos Products: BI Cloud (C) Copyright IBM Corp. 2020
 * US Government Users Restricted Rights - Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
 */
define(['original/dashboard-core/js/dashboard/layout/authoring/interaction/Selection', 'dashboard-core/js/lib/@waca/dashboard-common/dist/utils/EventChainLocal', 'jquery'], function (Selection, EventChainLocal, $) {
	var TabWidgetSelection = function (_Selection) {
		_inherits(TabWidgetSelection, _Selection);

		function TabWidgetSelection() {
			_classCallCheck(this, TabWidgetSelection);

			return _possibleConstructorReturn(this, _Selection.apply(this, arguments));
		}

		TabWidgetSelection.prototype._isSelectionSupported = function _isSelectionSupported(content) {
			var type = content.getType();
			// TODO: includes?
			if (type.indexOf('widget') !== -1 || type === 'group' || type === 'tab' && content.getContainer()) {
				return true;
			}
			var capabilities = content.getFeature('ContentRegistry.internal.' + type + 'Capabilities');
			var selectionSupported = false;
			if (capabilities) {
				var contentCapabilities = capabilities.getCapabilities();
				selectionSupported = contentCapabilities.selection ? contentCapabilities.selection : selectionSupported;
			}
			return selectionSupported;
		};

		return TabWidgetSelection;
	}(Selection);

	return TabWidgetSelection;
});
//# sourceMappingURL=TabWidgetSelection.js.map